tool
extends Resource
class_name SummerDayEditable


var priority = 0
var modifier_layer = 0
var selected = false


func _check_for_selection(event: InputEvent): # Virtual.
	pass


func _interact(event: InputEvent): # Virtual.
	pass


func _update_table(table: Image): # Virtual.
	pass


func _is_point_included(point: Vector2) -> bool: # Virtual.
	return false
	
